FROM nginx:alpine

# Standardkonfigurationen kopieren
COPY nginx.conf /etc/nginx/nginx.conf
COPY default.conf /etc/nginx/conf.d/default.conf

# Erstelle Verzeichnis für SSL-Zertifikate
RUN mkdir -p /etc/nginx/ssl

# Starte Nginx im Vordergrund
CMD ["nginx", "-g", "daemon off;"]
